#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	Test
%define		pnam	SharedFork
%include	/usr/lib/rpm/macros.perl
Summary:	Test::SharedFork - fork test
Name:		perl-Test-SharedFork
Version:	0.29
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	acbc5baf82d78edf3771dfecaacd2345
URL:		http://search.cpan.org/dist/Test-SharedFork/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Requires
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Test::SharedFork is utility module for Test::Builder.

This module makes fork(2) safety in your test case.

This module merges test count with parent process & child process.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.md
%{perl_vendorlib}/Test/*.pm
%{perl_vendorlib}/Test/SharedFork
%{_mandir}/man3/*
%changelog
* Sat Feb 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Test-SharedFork.git;a=log;h=master

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ee957a
- up to 0.29

* Sun Nov 30 2014 Elan Ruusamäe <glen@delfi.ee> e8eca10
- use generic url

* Mon May 07 2012 Szymon Siwek <sls@pld-linux.org> 1d16fa6
- with test BR: perl-Test-Requires

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> fc5e419
- up to 0.19

* Wed May 11 2011 aredridel <aredridel@pld-linux.org> 125f709
- Added

